Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227520 - su sometimes dumps core
Summary: su sometimes dumps core
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: coreutils
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F7Update
TreeView+ depends on / blocked
 
Reported: 2007-02-06 16:44 UTC by Need Real Name
Modified: 2008-03-12 14:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-12 14:17:13 UTC


Attachments (Terms of Use)

Description Need Real Name 2007-02-06 16:44:55 UTC
Description of problem:
I have coreutils-5.97-1.2 openssh-4.3p2-4.11.fc5
su sometimes dumps core when doing remote backup like this:

su -l -c "set -x ;
umask 027 ; exec /usr/bin/ssh -n '${REMOTEHOSTTOBACKUP}' '${REMOTECMD}' </dev/nu
ll" backup </dev/null >"${1}"
15471 Segmentation fault

Comment 1 Tim Waugh 2007-02-06 16:46:42 UTC
Is it definitely su dumping core, or could it be bash?  What does 'file' say
about the core file?

Comment 2 Need Real Name 2007-02-06 17:29:59 UTC
There is no 'core' file because the process is run as root by cron.
I believe this is su,  because the full message is:


/etc/backup/commonlib: line 12: 15471 Segmentation fault      su -l -c "set -x ;
umask 027 ; exec /usr/bin/ssh -n '${REMOTEHOSTTOBACKUP}' '${REMOTECMD}' </dev/nu
ll" backup </dev/null >"${1}"

the commonlib is a bash script calling the command above


Comment 3 Need Real Name 2007-02-06 18:57:21 UTC
This error happened on exit. Everything was copied (according to log) and then
the program did "Segmentation fault"

Comment 4 Tim Waugh 2007-02-07 09:54:29 UTC
Can you get it to drop a core file?  i.e. Change to a writeable directory and
set 'ulimit -c unlimited' in the script before the 'su' invocation?

Comment 5 Need Real Name 2007-02-07 16:00:38 UTC
It is extremely hard to get core file.
The problem is - the described backup worked OK for more than 6 months now.
The su did "Segmentation fault" yesterday,
today it finished backup OK. I believe it may take a year of daily 
backups to reproduce the problem.

I do not have a reliable way to reproduce this  "Segmentation fault"
The only thing which is certain - it happened somewhere on exit,
after all files have being copied.

Comment 6 Need Real Name 2007-02-07 16:02:55 UTC
Small correction. I double checked the logs  - the "Segmentation fault"
happened twice in 6 months. 
I missed the first one.

Comment 7 Tim Waugh 2007-06-13 13:46:30 UTC
What does 'rpm -V coreutils' say? (I'm trying to determine whether you are
running with the standard PAM configuration.)

Comment 8 Need Real Name 2007-06-15 15:15:03 UTC
rpm -q coreutils
coreutils-5.97-1.2

rpm -V coreutils
produces nothing.
on this computer all updates are just 
yum -y update

Comment 9 Ondrej Vasik 2007-11-13 15:55:30 UTC
I'm new maintainer of coreutils package, so I'd like to ask some things - as
FC-5 is at end of it's support.
1) Do you have some new cases of the segfault?
2) Are you still using that FC-5 version of coreutils? If not and you upgraded
to at least Fedora 7(which contains coreutils 6.9) - Do you have some error
cases with this new package? 

Thanks.

Comment 10 Ondrej Vasik 2008-03-12 14:17:13 UTC
Sorry, but closing INSUFFICIENT_DATA (could be CANTFIX as well), no response for
4 months, FC-5 EOL and very low chance of getting more info which would be
necessary to find out more about the problem. Feel free to reopen bug if you
find something helpful and if the error will occur with supported version of Fedora.


Note You need to log in before you can comment on or make changes to this bug.